Skip to main content
POST
Create sub-task

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

workspace:write

Create and update tasks, People, task context, notes, tags, reminders, and workspaces.

Path Parameters

taskId
string
required

Parent task id from list_tasks or search_tasks.

Required string length: 1 - 64

Body

application/json
title
string
required
Required string length: 1 - 500
description
string
Maximum string length: 4000
dueDate

ISO date (2026-10-01) or date-time with offset (2026-10-01T09:00:00+02:00); null clears it.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
assigneeUserIds
string[]
Maximum array length: 50

Workspace member user id.

Required string length: 1 - 64
tags
string[]
Maximum array length: 50
Required string length: 1 - 100

Response

Success

taskId
string
required